Page 1 of 2 12 LastLast
Results 1 to 10 of 15

Thread: Hardy and NVIDIA Driver Issue

  1. #1
    Join Date
    Jan 2008
    Beans
    16

    Hardy and NVIDIA Driver Issue

    I have a 8600gts on hardy using the 2.6.22-14 kernel. I have tried using the hardware drivers application, installing the new 172...drivers off the nvidia site, and using envy ng to install nvidia drivers. Each time I have tried it has brought me back into a low resolution mode.
    Does anyone have any solutions that can help me out.
    Thanks,

  2. #2
    Join Date
    Jan 2008
    Location
    the space between spaces.
    Beans
    1,654

    Re: Hardy and NVIDIA Driver Issue

    Try downloading the official Nvidia driver: http://www.nvidia.com/object/unix.html
    and select the 169.12 driver for your platform.

    After you have downloaded it, move it to /home and rename it to nvid.run.

    Now, close all applications and press ctrl+alt+f1 to drop back to terminal.

    Now to stop the X server type

    Code:
    sudo /etc/init.d/gdm stop
    then just run

    Code:
    sudo sh ./nvid.run
    and follow the directions to install the driver. Let it automatically reconfigure the xorg.conf.

    EDIT: I FORGOT!! FIRST REMOVE THE nvidia-glx-gew package FROM THE TERMINAL AFTER YOU CLOSE THE X SERVER!

    run from the shell

    Code:
    sudo apt-get remove nvdia-glx-new

  3. #3
    Join Date
    Apr 2006
    Beans
    996
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Hardy and NVIDIA Driver Issue

    My advice would be that it is better to shoot yourself in the foot than to install nvidia drivers from their site unless it is TERRIBLY necessary, and if you do everything will be broken from the time you did. For example, youi'll have to recompile the driver everytime the kernel is updated - unless you want Xorg crashes...
    Xye incredibly difficult puzzle game with minimal graphics. Also at playdeb
    Got a blog: Will Stay Free

  4. #4
    Join Date
    Jan 2008
    Location
    the space between spaces.
    Beans
    1,654

    Re: Hardy and NVIDIA Driver Issue

    It is not terribly important, for me at least, to upgrade my kernel. I just wait until the next Ubuntu release for a kernel upgrade. Also, the Nvidia drivers from the site are not terribly bad to install. I have installed them twice and it still works.

  5. #5
    Join Date
    Jan 2008
    Beans
    16

    Re: Hardy and NVIDIA Driver Issue

    ok so when it makes it into the installer
    it first lets me know that there was no matching precompiled kernel interface.
    Next it then tells me CC version failed "The kernel version (gcc4.1) does not match the compiler (gcc4.2)...and asks me if I would like to continue. I hit abort to ask further advice.

  6. #6
    Join Date
    Jan 2008
    Location
    the space between spaces.
    Beans
    1,654

    Re: Hardy and NVIDIA Driver Issue

    search "g++" on synaptic and install it and try again.

  7. #7
    Join Date
    Jan 2008
    Location
    the space between spaces.
    Beans
    1,654

    Re: Hardy and NVIDIA Driver Issue

    and its fine to let it compile its own kernel module.

  8. #8
    Join Date
    Jan 2008
    Beans
    16

    Re: Hardy and NVIDIA Driver Issue

    I reinstalled and same issue. I even went through with the installation and ended up with low resolution. Just got done uninstalling the drivers and changing the xorg file back to the the orig

  9. #9
    Join Date
    Jan 2008
    Location
    the space between spaces.
    Beans
    1,654

    Re: Hardy and NVIDIA Driver Issue

    hmm interesting...

  10. #10
    Join Date
    Jan 2008
    Beans
    16

    Re: Hardy and NVIDIA Driver Issue

    Does anyone else have any ideas? Stuck. I would be using the 2.6.24-16 kernel but I cannot get my wireless working on it using ndiswrapper. I switched down and was able to get ndiswrapper installed. I am not able to get my vid card drivers installed on the 2.6.22 kernel.

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •